<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xxl.job.executor.report.mapper.KuaishouReportDailyCampaignMapper">


    <insert id="loadCampaignDailyReport">
		LOAD DATA local INFILE  #{localPath}
	    INTO TABLE ctop_kuaishou_report_daily_campaign
		FIELDS TERMINATED BY ',' enclosed by '"' LINES TERMINATED BY '\n'
		IGNORE 1 LINES
		(campaign_id,
		campaign_name,
		status,
		@ad_scene,
        charge,
        photo_show,
        aclick,
        bclick,
        photo_share,
        photo_comment,
        photo_like,
        follow,
        cancel_follow,
        report,
        block,
        negative,
        download_started,
        download_completed,
        activation,
        submit,
        stat_date,
        @stat_hour,
        photo_click,
        photo_click_ratio,
        action_ratio,
        impression_1k_cost,
        photo_click_cost,
        @click_1k_cost,
        action_cost,
        event_pay_first_day,
        event_pay_purchase_amount_first_day,
        event_pay_first_day_roi,
        event_pay,
        event_pay_purchase_amount,
        event_pay_roi,
        event_register,
        event_register_cost,
        event_register_ratio,
        event_jin_jian_app,
        event_jin_jian_app_cost,
        event_credit_grant_app,
        event_credit_grant_app_cost,
        event_credit_grant_app_ratio,
        event_order_paid,
        event_order_paid_purchase_amount,
        event_order_paid_cost,
        form_count,
        form_cost,
        form_action_ratio,
        event_jin_jian_landing_page,
        event_jin_jian_landing_page_cost,
        event_credit_grant_landing_page,
        event_credit_grant_landing_page_cost,
        event_credit_grant_landing_ratio,
        event_next_day_stay_cost,
        event_next_day_stay_ratio,
        event_next_day_stay,
        play_3s_ratio,
        @event_valid_clues,
        @event_valid_clues_cost,
        @ad_product_cnt,
        @event_goods_view,
        @merchant_reco_fans,
        @event_order_amount_roi,
        @event_goods_view_cost,
        @merchant_reco_fans_cost,
        @event_new_user_pay,
        @event_new_user_pay_cost,
        @event_new_user_pay_ratio,
        @event_button_click,
        @event_button_click_cost,
        @event_button_click_ratio,
        @play_5s_ratio,
        @play_end_ratio,
        @event_order_paid_roi,
        @event_new_user_jinjian_app,
        @event_new_user_jinjian_app_cost,
        @event_new_user_jinjian_app_roi,
        @event_new_user_credit_grant_app,
        @event_new_user_credit_grant_app_cost,
        @event_new_user_credit_grant_app_roi,
        @event_new_user_jinjian_page,
        @event_new_user_jinjian_page_cost,
        @event_new_user_jinjian_page_roi,
        @event_new_user_credit_grant_page,
        @event_new_user_credit_grant_page_cost,
        @event_new_user_credit_grant_page_roi,

        @event_appoint_form,
        @event_appoint_form_cost,
        @event_appoint_form_ratio,
        @event_appoint_jump_click,
        @event_appoint_jump_click_cost,
        @event_appoint_jump_click_ratio
        )
          set account_id = #{accountId}
    </insert>
    <insert id="replaceBatch">
        replace into ctop_kuaishou_report_daily_campaign
        (
        account_id,
        campaign_id,
        status,
        campaign_name,
        charge,
        photo_show,
        aclick,
        bclick ,
        photo_share ,
        photo_comment ,
        photo_like,
        follow ,
        cancel_follow ,
        report ,
        block,
        negative,
        download_started  ,
        download_completed ,
        activation ,
        submit ,
        stat_date ,
        photo_click ,
        photo_click_ratio ,
        action_ratio ,
        impression_1k_cost ,
        photo_click_cost,
        action_cost,
        event_pay_first_day ,
        event_pay_purchase_amount_first_day ,
        event_pay_first_day_roi,
        event_pay ,
        event_pay_purchase_amount ,
        event_pay_roi ,
        event_register ,
        event_register_cost ,
        event_register_ratio,
        event_jin_jian_app ,
        event_jin_jian_app_cost,
        event_credit_grant_app ,
        event_credit_grant_app_cost,
        event_credit_grant_app_ratio,
        event_order_paid,
        event_order_paid_purchase_amount,
        event_jin_jian_landing_page ,
        event_jin_jian_landing_page_cost,
        event_credit_grant_landing_page,
        event_credit_grant_landing_page_cost,
        event_credit_grant_landing_ratio,
        event_next_day_stay_cost,
        event_next_day_stay_ratio,
        form_action_ratio,
        event_order_paid_cost,
        event_next_day_stay ,
        form_cost ,
        form_count ,
        play_3s_ratio
        )
        values
        <foreach collection="records" item="record" separator=",">
            (
            #{record.accountId},
            #{record.campaignId},
            #{record.status},
            #{record.campaignName},
            #{record.charge},
            #{record.photoShow},
            #{record.aclick},
            #{record.bclick},
            #{record.photoShare },
            #{record.photoComment },
            #{record.photoLike},
            #{record.follow},
            #{record.cancelFollow },
            #{record.report},
            #{record.block},
            #{record.negative},
            #{record.downloadStarted},
            #{record.downloadCompleted},
            #{record.activation},
            #{record.submit},
            #{record.statDate},
            #{record.photoClick},
            #{record.photoClickRatio},
            #{record.actionRatio},
            #{record.impression1kCost},
            #{record.photoClickCost},
            #{record.actionCost},
            #{record.eventPayFirstDay},
            #{record.eventPayPurchaseAmountFirstDay},
            #{record.eventPayFirstDayRoi},
            #{record.eventPay},
            #{record.eventPayPurchaseAmount },
            #{record.eventPayRoi},
            #{record.eventRegister},
            #{record.eventRegisterCost},
            #{record.eventRegisterRatio},
            #{record.eventJinJianApp},
            #{record.eventJinJianAppCost},
            #{record.eventCreditGrantApp},
            #{record.eventCreditGrantAppCost},
            #{record.eventCreditGrantAppRatio},
            #{record.eventOrderPaid},
            #{record.eventOrderPaidPurchaseAmount},
            #{record.eventJinJianLandingPage },
            #{record.eventJinJianLandingPageCost},
            #{record.eventCreditGrantLandingPage},
            #{record.eventCreditGrantLandingPageCost},
            #{record.eventCreditGrantLandingRatio},
            #{record.eventNextDayStayCost},
            #{record.eventNextDayStayRatio},
            #{record.formActionRatio},
            #{record.eventOrderPaidCost},
            #{record.eventNextDayStay},
            #{record.formCost},
            #{record.formCount},
            #{record.play3sRatio}
            )
        </foreach>
    </insert>

</mapper>
